--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'lacp-balance-tcp'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove',
    'update',
    'update_error'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs',
    'nsx'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning',
    'release'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks',
    'interfaces'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'update',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'multicast_verification',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.alembic_version OWNER TO nailgun;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean,
    fuel_version text NOT NULL,
    pending_release_id integer
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    meta text
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac character varying NOT NULL,
    internal_cidr character varying(25),
    internal_gateway character varying(25),
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac character varying,
    state character varying(25),
    flags text,
    mode bond_mode NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25),
    parent_id integer
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    kernel_params text,
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40)
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr character varying(25),
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: release_orchestrator_data; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE release_orchestrator_data (
    id integer NOT NULL,
    release_id integer NOT NULL,
    repo_metadata text NOT NULL,
    puppet_manifests_source text NOT NULL,
    puppet_modules_source text NOT NULL
);


ALTER TABLE public.release_orchestrator_data OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE release_orchestrator_data_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.release_orchestrator_data_id_seq OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE release_orchestrator_data_id_seq OWNED BY release_orchestrator_data.id;


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text,
    can_update_from_versions text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data ALTER COLUMN id SET DEFAULT nextval('release_orchestrator_data_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY alembic_version (version_num) FROM stdin;
52924111f7d8
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset intel_iommu=on", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": true, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "volumes_vmdk": {"restrictions": ["settings:storage.volumes_lvm.value == false or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "zabbix": {"username": {"value": "admin", "type": "text", "description": "Username for Zabbix Administrator", "weight": 10, "label": "username"}, "password": {"value": "zabbix", "type": "password", "description": "Password for Zabbix Administrator", "weight": 20, "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "toggleable": true, "weight": 20, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "ethernet", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "vcenter": {"use_vcenter": {"value": true, "type": "hidden", "description": "", "weight": 5, "label": ""}, "vc_user": {"value": "", "type": "text", "description": "vCenter admin username", "weight": 30, "label": "Username"}, "host_ip": {"value": "", "type": "text", "description": "IP Address of vCenter", "weight": 10, "label": "vCenter IP"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"value": "", "type": "password", "description": "vCenter admin password", "weight": 30, "label": "Password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "corosync": {"group": {"value": "226.94.1.1", "type": "text", "description": "", "weight": 10, "label": "Group"}, "verified": {"value": false, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "weight": 10, "label": "Need to pass network verification."}, "port": {"value": "12000", "type": "text", "description": "", "weight": 20, "label": "Port"}, "metadata": {"weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "type": "radio", "value": "kvm", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "BleqYwyx"}, "keystone": {"admin_password": "Pgmcp8zE"}, "database": {"passwd": "2mRy57F8"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "HM63KV7E", "user_password": "Kvvx4JYm", "metering_secret": "GUg5aSGZ"}, "swift": {"user_password": "5iaqiOQE"}, "murano": {"db_password": "rtqZhBo8", "user_password": "7hJeCO8X", "rabbit_password": "ozZTC0FB"}, "nova": {"db_password": "F8rBQNVm", "user_password": "7wxxcBxq", "state_path": "/var/lib/nova"}, "zabbix": {"db_password": "vRKDKQj0", "db_root_password": "JytHsnI0"}, "keystone": {"db_password": "OWHV8xTT", "admin_token": "cxrNfeMi"}, "rabbit": {"password": "5et11jkp"}, "mysql": {"root_password": "nWSyYbIZ"}, "sahara": {"db_password": "FrEzwZy6", "user_password": "X6gaPBUO"}, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "cinder": {"db_password": "a9SUkUj5", "user_password": "JigPl0L9"}, "heat": {"db_password": "yeSaKeq4", "user_password": "wvTWnkiu", "rabbit_password": "6nEmuoLx"}, "glance": {"db_password": "JiOZxHgU", "user_password": "ugjrNX0z"}}
2	2	{"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "metadata": {"enabled": true, "toggleable": false, "weight": 50, "label": "Mellanox Neutron components"}, "plugin": {"type": "radio", "values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "value": "ethernet", "weight": 60, "label": "Mellanox drivers and SR-IOV plugin"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": true, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "volumes_vmdk": {"restrictions": ["settings:storage.volumes_lvm.value == false or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "kernel_params": {"kernel": {"value": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "type": "text", "description": "Default kernel parameters", "weight": 45, "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": {"value": "admin", "type": "text", "description": "Username for Zabbix Administrator", "weight": 10, "label": "username"}, "password": {"value": "zabbix", "type": "password", "description": "Password for Zabbix Administrator", "weight": 20, "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "toggleable": true, "weight": 20, "label": "VMware NSX"}}, "vlan_splinters": {"vswitch": {"type": "radio", "values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "value": "disabled", "weight": 55, "label": "Open VSwitch VLAN Splinters feature"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "enabled": false, "toggleable": true, "weight": 50, "label": "VLAN Splinters"}}, "vcenter": {"use_vcenter": {"value": true, "type": "hidden", "description": "", "weight": 5, "label": ""}, "vc_user": {"value": "", "type": "text", "description": "vCenter admin username", "weight": 30, "label": "Username"}, "host_ip": {"value": "", "type": "text", "description": "IP Address of vCenter", "weight": 10, "label": "vCenter IP"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"value": "", "type": "password", "description": "vCenter admin password", "weight": 30, "label": "Password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "corosync": {"group": {"value": "226.94.1.1", "type": "text", "description": "", "weight": 10, "label": "Group"}, "verified": {"value": false, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "weight": 10, "label": "Need to pass network verification."}, "port": {"value": "12000", "type": "text", "description": "", "weight": 20, "label": "Port"}, "metadata": {"weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "type": "radio", "value": "kvm", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "Wx5XmOBS"}, "keystone": {"admin_password": "aVVUybC0"}, "database": {"passwd": "fXsfzbzd"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "FTPmSBI4", "user_password": "iPRXxSOz", "metering_secret": "NocCV1Cu"}, "swift": {"user_password": "TkaCbcDM"}, "murano": {"db_password": "ZueACsKE", "user_password": "HREsjCBU", "rabbit_password": "vOGPajAo"}, "nova": {"db_password": "nzU7T1ld", "user_password": "JVjiXX9R", "state_path": "/var/lib/nova"}, "zabbix": {"db_password": "J6xMkDNT", "db_root_password": "A0oYyNYV"}, "sahara": {"db_password": "bvgdC799", "user_password": "rR2Q9ugI"}, "rabbit": {"password": "BuACRvSc"}, "mysql": {"root_password": "HzikB92h"}, "keystone": {"db_password": "j6bwzS6Z", "admin_token": "VFLl4Z6G"}, "cobbler": {"profile": "centos-x86_64"}, "cinder": {"db_password": "PdCL0tS8", "user_password": "bROe4tdQ"}, "heat": {"db_password": "iGdUSdZb", "user_password": "hQWw3GIv", "rabbit_password": "3rmcsb9L"}, "glance": {"db_password": "RvKVAuHS", "user_password": "EvvWPt7b"}}
3	3	{"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": true, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": false, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "volumes_vmdk": {"restrictions": ["settings:storage.volumes_lvm.value == false or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "zabbix": {"username": {"value": "admin", "type": "text", "description": "Username for Zabbix Administrator", "weight": 10, "label": "username"}, "password": {"value": "zabbix", "type": "password", "description": "Password for Zabbix Administrator", "weight": 20, "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "toggleable": true, "weight": 20, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "vcenter": {"use_vcenter": {"value": true, "type": "hidden", "description": "", "weight": 5, "label": ""}, "vc_user": {"value": "", "type": "text", "description": "vCenter admin username", "weight": 30, "label": "Username"}, "host_ip": {"value": "", "type": "text", "description": "IP Address of vCenter", "weight": 10, "label": "vCenter IP"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"value": "", "type": "password", "description": "vCenter admin password", "weight": 30, "label": "Password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "corosync": {"group": {"value": "226.94.1.1", "type": "text", "description": "", "weight": 10, "label": "Group"}, "verified": {"value": false, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "weight": 10, "label": "Need to pass network verification."}, "port": {"value": "12000", "type": "text", "description": "", "weight": 20, "label": "Port"}, "metadata": {"weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "kXO53PiC"}, "keystone": {"admin_password": "3hQN0hdX"}, "database": {"passwd": "SCix25Rr"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "jSrJS2nQ", "user_password": "uI6Y6SDB", "metering_secret": "Fn6WLcnH"}, "swift": {"user_password": "YLCidrIT"}, "murano": {"db_password": "FCpGytQN", "user_password": "lV5ZfUA7", "rabbit_password": "zZzRXSLY"}, "nova": {"db_password": "ubEjBtON", "user_password": "001IgAU8", "state_path": "/var/lib/nova"}, "zabbix": {"db_password": "lbf9aXjE", "db_root_password": "UpQ09RS3"}, "keystone": {"db_password": "wjmZuXHg", "admin_token": "XQFeKDUX"}, "rabbit": {"password": "xflSjySu"}, "mysql": {"root_password": "FV2fSYE0"}, "sahara": {"db_password": "k1JikTxe", "user_password": "6zNMGHl8"}, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "cinder": {"db_password": "B3mJ2XH3", "user_password": "PC5x5bOp"}, "heat": {"db_password": "9JaEnZLV", "user_password": "rCu5cNBs", "rabbit_password": "XuTnLMss"}, "glance": {"db_password": "hS2nJaln", "user_password": "VBqizD86"}}
\.


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 3, true);


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
11	2	\N	attributes
12	2	\N	networks
19	3	\N	attributes
20	3	\N	networks
\.


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 20, true);


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, grouping, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized, fuel_version, pending_release_id) FROM stdin;
2	ha_compact	new	neutron	roles	aaaaa	1	{}	{}	f	5.1	\N
1	ha_compact	operational	neutron	roles	ubuntu-HA	2	{}	{}	f	5.1	\N
3	multinode	new	nova_network	roles	test	2	{}	{}	f	5.1	\N
\.


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 3, true);


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.20.0.3	10.20.0.127
15	6	172.16.0.2	172.16.0.126
16	7	192.168.0.1	192.168.0.254
17	8	192.168.1.1	192.168.1.254
18	2	10.209.37.240	10.209.37.244
20	3	192.168.2.2	192.168.2.254
22	4	192.168.3.2	192.168.3.254
23	10	172.16.0.2	172.16.0.127
24	11	192.168.0.1	192.168.0.254
25	12	192.168.1.1	192.168.1.254
\.


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 25, true);


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	\N	10.20.0.2
6	6	\N	172.16.0.2
7	7	\N	192.168.0.1
8	1	1	10.20.0.3
9	1	2	10.20.0.4
10	1	3	10.20.0.5
11	1	4	10.20.0.6
19	2	\N	10.209.37.240
20	3	\N	192.168.2.2
21	3	1	192.168.2.3
22	3	2	192.168.2.4
23	3	3	192.168.2.5
24	3	4	192.168.2.6
25	2	1	10.209.37.241
26	2	2	10.209.37.242
27	2	3	10.209.37.243
28	2	4	10.209.37.244
29	4	1	192.168.3.2
30	4	2	192.168.3.3
31	4	3	192.168.3.4
32	4	4	192.168.3.5
\.


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 32, true);


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
21	1	4
22	1	8
23	2	3
24	2	7
25	5	6
26	5	2
27	3	2
28	3	6
29	4	5
30	4	1
31	1	16
32	1	12
33	2	15
34	2	11
35	5	14
36	5	10
37	3	14
38	3	10
39	4	13
40	4	9
\.


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 40, true);


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, vlan_start, cidr, gateway, meta) FROM stdin;
1	fuelweb_admin	\N	\N	\N	10.20.0.0/24	\N	{"notation": "cidr", "render_type": null, "assign_vip": false, "configurable": false, "unmovable": true, "use_gateway": false, "render_addr_mask": null, "map_priority": 0}
4	storage	2	1	3	192.168.3.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}
5	private	2	1	\N	\N	\N	{"name": "private", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}
10	public	2	3	\N	172.16.0.0/24	172.16.0.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}
11	management	2	3	101	192.168.0.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}
12	storage	2	3	102	192.168.1.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}
13	fixed	2	3	\N	\N	\N	{"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}
6	public	1	2	\N	172.16.0.0/24	172.16.0.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}
7	management	1	2	101	192.168.0.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}
8	storage	1	2	102	192.168.1.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}
9	private	1	2	\N	\N	\N	{"name": "private", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}
2	public	2	1	\N	10.209.36.0/22	10.209.36.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}
3	management	2	1	2	192.168.2.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}
\.


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 13, true);


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges) FROM stdin;
2	neutron_config	2	["8.8.4.4", "8.8.8.8"]	[["172.16.0.130", "172.16.0.254"]]
1	neutron_config	1	["8.8.4.4", "8.8.8.8"]	[["10.209.37.245", "10.209.37.249"]]
3	nova_network_config	3	["8.8.4.4", "8.8.8.8"]	[["172.16.0.128", "172.16.0.254"]]
\.


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 3, true);


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider) FROM stdin;
2	[1000, 1030]	[2, 65535]	fa:16:3e:00:00:00	192.168.111.0/24	192.168.111.1	vlan	ovs
1	[4, 10]	[2, 65535]	fa:16:3e:00:00:00	192.168.111.0/24	192.168.111.1	vlan	ovs
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
1	1	[{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6acccffd5", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGXLHGE", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGXLHGE"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "partition", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 67656}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 885713}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 67592, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16392}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 885649}], "type": "vg", "id": "image"}]	{}
2	2	[{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6accd159d", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGXT9AE", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGXT9AE"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "partition", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 67656}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 885713}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 67592, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16392}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 885649}], "type": "vg", "id": "image"}]	{}
3	3	[{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6acccfc6f", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGXKLDE", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGXKLDE"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "partition", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 67656}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 885713}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 67592, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16392}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 885649}], "type": "vg", "id": "vm"}]	{}
4	4	[{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6accbe7d5", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGV5X6E", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGV5X6E"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "partition", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 67656}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 885713}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 67592, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16392}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}]	{}
\.


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 4, true);


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, flags, mode) FROM stdin;
\.


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id) FROM stdin;
14	4	eth2	00:02:c9:e6:00:51	10000	40000	\N	\N	up	\N
15	4	eth1	00:25:90:88:e2:55	1000	1000	\N	\N	up	\N
16	4	eth0	00:25:90:88:e2:54	1000	100	\N	\N	up	\N
39	4	eth_iser0	96:86:6d:6a:a5:d0	10000	40000	\N	\N	up	\N
30	3	eth4	de:32:19:6f:2f:5d	10000	\N	\N	\N	down	\N
9	3	eth3	00:02:c9:e5:fe:b2	10000	40000	\N	\N	up	\N
10	3	eth2	00:02:c9:e5:fe:b1	10000	40000	\N	\N	up	\N
11	3	eth1	00:25:90:88:e3:27	1000	1000	\N	\N	up	\N
12	3	eth0	00:25:90:88:e3:26	1000	100	\N	\N	up	\N
32	1	eth4	ce:d4:20:c8:0d:a0	10000	\N	\N	\N	down	\N
1	1	eth3	00:02:c9:e5:fe:82	10000	40000	\N	\N	up	\N
2	1	eth2	00:02:c9:e5:fe:81	10000	40000	\N	\N	up	\N
3	1	eth1	00:25:90:88:e1:2b	1000	1000	\N	\N	up	\N
4	1	eth0	00:25:90:88:e1:2a	1000	100	\N	\N	up	\N
37	1	eth_iser0	be:b3:79:49:46:0d	10000	\N	\N	\N	down	\N
33	4	eth5	96:86:6d:6a:a5:d0	10000	40000	\N	\N	down	\N
40	3	eth_iser0	3e:a7:52:ba:bb:1e	10000	40000	\N	\N	up	\N
29	3	eth5	3e:a7:52:ba:bb:1e	10000	40000	\N	\N	down	\N
35	2	eth5	46:c6:de:d5:e3:b9	10000	40000	\N	\N	down	\N
38	2	eth_iser0	46:c6:de:d5:e3:b9	10000	40000	\N	\N	up	\N
36	2	eth4	42:87:75:e3:0e:f5	10000	\N	\N	\N	down	\N
5	2	eth3	00:02:c9:e5:fe:c2	10000	40000	\N	\N	up	\N
6	2	eth2	00:02:c9:e5:fe:c1	10000	40000	\N	\N	up	\N
7	2	eth1	00:25:90:89:28:ab	1000	1000	\N	\N	up	\N
8	2	eth0	00:25:90:89:28:aa	1000	100	\N	\N	up	\N
34	4	eth4	92:5d:a5:d9:4a:f1	10000	\N	\N	\N	down	\N
13	4	eth3	00:02:c9:e6:00:52	10000	40000	\N	\N	up	\N
31	1	eth5	be:b3:79:49:46:0d	10000	40000	\N	\N	down	\N
\.


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 40, true);


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
9	8	3
10	7	1
11	9	4
12	7	2
\.


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 12, true);


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, kernel_params, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum) FROM stdin;
4	e8a29e29-51af-49eb-aceb-74bd0f64e4cd	1	Untitled (e2:54)	ready	{"memory": {"slots": 17, "total": 34376515584, "maximum_capacity": 274894684160, "devices": [{"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 33, "type": "Flash", "size": 16777216}]}, "interfaces": [{"state": "up", "max_speed": 10000, "mac": "AA:A2:17:44:A4:09", "current_speed": 40000, "name": "eth_iser0"}, {"state": "down", "max_speed": 10000, "mac": "9E:E3:C2:42:7F:3F", "current_speed": 40000, "name": "eth4"}, {"state": "up", "max_speed": 10000, "mac": "00:02:C9:E6:00:52", "current_speed": 40000, "name": "eth3"}, {"state": "up", "max_speed": 10000, "mac": "00:02:C9:E6:00:51", "current_speed": 40000, "name": "eth2"}, {"state": "up", "max_speed": 1000, "mac": "00:25:90:88:E2:55", "current_speed": 1000, "name": "eth1"}, {"state": "up", "max_speed": 1000, "mac": "00:25:90:88:E2:54", "current_speed": 100, "name": "eth0"}], "disks": [{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6accbe7d5", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGV5X6E", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGV5X6E"], "removable": "0", "model": "HGST HTS721010A9", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 1000204886016}], "cpu": {"real": 2, "total": 24, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9DRFF-i/7(T)+", "family": "To be filled by O.E.M.", "fqdn": "node-4", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	66:ff:ea:be:20:4d	10.20.0.6	node-4.domain.tld	Supermicro	X9DRFF-i/7(T)+	\N	100	ubuntu	f	f	\N	\N	2014-08-05 10:34:02.416389	t	cf69c53560902d983cbee9fbeb0c15a12364ca50
2	64647066-0590-4aa7-9d25-69ef31f14a59	1	Untitled (28:aa)	ready	{"memory": {"slots": 17, "total": 34376515584, "maximum_capacity": 274894684160, "devices": [{"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 33, "type": "Flash", "size": 16777216}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "9E:A9:08:FE:CE:1B", "current_speed": 40000, "name": "eth4"}, {"state": "up", "max_speed": 10000, "mac": "00:02:C9:E5:FE:C2", "current_speed": 40000, "name": "eth3"}, {"state": "up", "max_speed": 10000, "mac": "00:02:C9:E5:FE:C1", "current_speed": 40000, "name": "eth2"}, {"state": "up", "max_speed": 1000, "mac": "00:25:90:89:28:AB", "current_speed": 1000, "name": "eth1"}, {"state": "up", "max_speed": 1000, "mac": "00:25:90:89:28:AA", "current_speed": 100, "name": "eth0"}, {"state": "up", "max_speed": 10000, "mac": "F2:EE:EB:96:1D:52", "current_speed": 40000, "name": "eth_iser0"}], "disks": [{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6accd159d", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGXT9AE", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGXT9AE"], "removable": "0", "model": "HGST HTS721010A9", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 1000204886016}], "cpu": {"real": 2, "total": 24, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9DRFF-i/7(T)+", "family": "To be filled by O.E.M.", "fqdn": "node-2", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	2a:b4:b7:f6:cb:40	10.20.0.4	node-2.domain.tld	Supermicro	X9DRFF-i/7(T)+	\N	100	ubuntu	f	f	\N	\N	2014-08-05 10:33:08.850078	t	d85951ea2234527efa787b81ac9cc5e2b1a2724b
1	b8306ede-ea5d-4623-af1b-6b311b736c63	1	Untitled (e1:2a)	ready	{"memory": {"slots": 17, "total": 34376515584, "maximum_capacity": 274894684160, "devices": [{"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 33, "type": "Flash", "size": 16777216}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "4E:FD:C1:FE:86:44", "current_speed": 40000, "name": "eth4"}, {"state": "up", "max_speed": 10000, "mac": "00:02:C9:E5:FE:82", "current_speed": 40000, "name": "eth3"}, {"state": "up", "max_speed": 10000, "mac": "00:02:C9:E5:FE:81", "current_speed": 40000, "name": "eth2"}, {"state": "up", "max_speed": 1000, "mac": "00:25:90:88:E1:2B", "current_speed": 1000, "name": "eth1"}, {"state": "up", "max_speed": 1000, "mac": "00:25:90:88:E1:2A", "current_speed": 100, "name": "eth0"}, {"state": "up", "max_speed": 10000, "mac": "CE:06:CD:BC:D8:4F", "current_speed": 40000, "name": "eth_iser0"}], "disks": [{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6acccffd5", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGXLHGE", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGXLHGE"], "removable": "0", "model": "HGST HTS721010A9", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 1000204886016}], "cpu": {"real": 2, "total": 24, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9DRFF-i/7(T)+", "family": "To be filled by O.E.M.", "fqdn": "node-1", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	d6:a1:ba:49:cf:4a	10.20.0.3	node-1.domain.tld	Supermicro	X9DRFF-i/7(T)+	\N	100	ubuntu	f	f	\N	\N	2014-08-05 10:33:31.14449	t	5addedf727e27ceff6a5c005e801b72eae861235
3	903a2f63-fdd0-4a71-98d2-107cdcd1cee6	1	Untitled (e3:26)	ready	{"memory": {"slots": 17, "total": 34376515584, "maximum_capacity": 274894684160, "devices": [{"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 1333, "type": "DDR3", "size": 8589934592}, {"frequency": 33, "type": "Flash", "size": 16777216}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "7E:DB:D7:35:A3:57", "current_speed": 40000, "name": "eth4"}, {"state": "up", "max_speed": 10000, "mac": "00:02:C9:E5:FE:B2", "current_speed": 40000, "name": "eth3"}, {"state": "up", "max_speed": 10000, "mac": "00:02:C9:E5:FE:B1", "current_speed": 40000, "name": "eth2"}, {"state": "up", "max_speed": 1000, "mac": "00:25:90:88:E3:27", "current_speed": 1000, "name": "eth1"}, {"state": "up", "max_speed": 1000, "mac": "00:25:90:88:E3:26", "current_speed": 100, "name": "eth0"}, {"state": "up", "max_speed": 10000, "mac": "82:7B:61:17:1E:BB", "current_speed": 40000, "name": "eth_iser0"}], "disks": [{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6acccfc6f", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGXKLDE", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGXKLDE"], "removable": "0", "model": "HGST HTS721010A9", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 1000204886016}], "cpu": {"real": 2, "total": 24, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9DRFF-i/7(T)+", "family": "To be filled by O.E.M.", "fqdn": "node-3", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	e2:62:2f:21:88:45	10.20.0.5	node-3.domain.tld	Supermicro	X9DRFF-i/7(T)+	\N	100	ubuntu	f	f	\N	\N	2014-08-05 10:33:29.340691	t	deef1a325e68dbcade3f9dcebdae81db6b24a311
\.


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 4, true);


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2014-08-03 10:38:30.504453
2	\N	1	\N	discover	New node is discovered: 24 CPUs / 32.0 GB RAM / 1.0 TB HDD 	read	2014-08-03 10:48:20.66802
3	\N	2	\N	discover	New node is discovered: 24 CPUs / 32.0 GB RAM / 1.0 TB HDD 	read	2014-08-03 10:48:55.736023
4	\N	3	\N	discover	New node is discovered: 24 CPUs / 32.0 GB RAM / 1.0 TB HDD 	read	2014-08-03 10:49:10.85925
5	\N	4	\N	discover	New node is discovered: 24 CPUs / 32.0 GB RAM / 1.0 TB HDD 	read	2014-08-03 10:49:50.89942
6	\N	\N	\N	done	Snapshot is ready. Visit Support page to download	read	2014-08-03 11:44:26.260942
7	1	\N	\N	done	Environment 'ubuntu-HA' was successfully reset	read	2014-08-03 12:00:59.178672
8	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-03 12:05:22.966314
9	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-03 12:05:25.470505
10	\N	2	\N	discover	Node 'Untitled (28:aa)' is back online	read	2014-08-03 12:05:26.189084
11	\N	4	\N	discover	Node 'Untitled (e2:54)' is back online	read	2014-08-03 12:05:45.650657
12	1	\N	\N	done	Deployment of environment 'ubuntu-HA' is done. Access the OpenStack dashboard (Horizon) at http://10.209.37.240/	read	2014-08-03 13:21:09.370715
13	1	\N	\N	done	Environment 'ubuntu-HA' was successfully reset	read	2014-08-03 16:10:44.322183
14	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-03 16:15:16.809353
15	\N	2	\N	discover	Node 'Untitled (28:aa)' is back online	read	2014-08-03 16:15:25.543201
16	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-03 16:15:28.253284
17	\N	4	\N	discover	Node 'Untitled (e2:54)' is back online	read	2014-08-03 16:15:29.560412
18	1	\N	\N	done	Deployment of environment 'ubuntu-HA' is done. Access the OpenStack dashboard (Horizon) at http://10.209.37.240/	read	2014-08-04 07:45:37.147168
19	\N	4	\N	error	Node 'Untitled (e2:54)' has gone away	read	2014-08-04 10:25:16.800793
20	\N	2	\N	error	Node 'Untitled (28:aa)' has gone away	read	2014-08-04 10:26:16.921112
21	\N	1	\N	error	Node 'Untitled (e1:2a)' has gone away	read	2014-08-04 10:26:16.923172
22	\N	4	\N	discover	Node 'Untitled (e2:54)' is back online	read	2014-08-04 10:26:19.322814
23	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-04 10:27:32.958727
24	\N	2	\N	discover	Node 'Untitled (28:aa)' is back online	read	2014-08-04 10:29:19.583959
25	\N	1	\N	error	Node 'Untitled (e1:2a)' has gone away	read	2014-08-04 11:42:22.119088
26	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-04 12:17:16.061343
27	\N	2	\N	error	Node 'Untitled (28:aa)' has gone away	read	2014-08-04 12:20:24.638848
28	\N	2	\N	discover	Node 'Untitled (28:aa)' is back online	read	2014-08-04 12:25:10.179579
29	\N	2	\N	error	Node 'Untitled (28:aa)' has gone away	read	2014-08-04 12:30:25.27653
84	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 20:27:09.760052
86	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 20:39:19.202678
30	\N	2	\N	discover	Node 'Untitled (28:aa)' is back online	read	2014-08-04 15:08:16.117091
31	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 15:12:36.619448
32	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 15:13:24.200776
33	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 15:16:36.885225
34	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 15:17:14.292043
35	\N	1	\N	error	Node 'Untitled (e1:2a)' has gone away	read	2014-08-04 15:24:37.518552
36	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-04 15:26:12.06591
37	\N	2	\N	error	Node 'Untitled (28:aa)' has gone away	read	2014-08-04 15:37:38.45569
38	\N	2	\N	discover	Node 'Untitled (28:aa)' is back online	read	2014-08-04 15:40:26.743699
39	\N	1	\N	error	Node 'Untitled (e1:2a)' has gone away	read	2014-08-04 15:47:39.222334
40	\N	2	\N	error	Node 'Untitled (28:aa)' has gone away	read	2014-08-04 15:51:09.597096
41	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-04 15:52:32.957352
42	\N	2	\N	discover	Node 'Untitled (28:aa)' is back online	read	2014-08-04 15:59:21.435932
43	\N	1	\N	error	Node 'Untitled (e1:2a)' has gone away	read	2014-08-04 16:04:40.566274
44	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-04 16:07:35.203294
45	\N	4	\N	error	Node 'Untitled (e2:54)' has gone away	read	2014-08-04 16:08:40.834174
46	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 16:14:11.232247
47	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 16:16:10.030203
48	\N	1	\N	error	Node 'Untitled (e1:2a)' has gone away	read	2014-08-04 16:22:11.880052
49	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-04 16:24:14.78456
50	\N	2	\N	error	Node 'Untitled (28:aa)' has gone away	read	2014-08-04 16:33:12.686936
51	\N	2	\N	discover	Node 'Untitled (28:aa)' is back online	read	2014-08-04 16:36:27.360753
52	\N	1	\N	error	Node 'Untitled (e1:2a)' has gone away	read	2014-08-04 16:42:43.34948
53	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-04 16:44:04.250514
54	\N	1	\N	error	Node 'Untitled (e1:2a)' has gone away	read	2014-08-04 16:56:44.262311
55	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-04 16:59:29.439044
56	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 17:18:45.753003
57	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 17:19:05.097809
58	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 17:35:46.956864
59	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 17:36:24.044643
60	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 17:39:47.386271
61	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 17:41:10.851937
62	\N	1	\N	error	Node 'Untitled (e1:2a)' has gone away	read	2014-08-04 17:48:18.033161
63	\N	4	\N	discover	Node 'Untitled (e2:54)' is back online	read	2014-08-04 17:50:22.900476
64	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-04 18:09:33.211449
65	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 18:41:51.855747
66	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 18:42:09.873231
67	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 19:01:23.230053
68	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 19:02:06.298508
69	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 19:19:24.518861
70	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 19:19:30.137251
71	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 19:26:24.975917
72	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 19:26:25.344442
73	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 19:34:25.432103
74	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 19:34:27.189205
75	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 20:00:27.087709
76	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 20:00:30.874895
77	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 20:07:27.597698
78	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 20:08:31.497124
79	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 20:17:28.26273
80	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 20:18:25.266159
81	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 20:21:28.493867
82	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 20:22:14.908355
83	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 20:26:28.774931
85	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 20:38:29.516909
87	\N	3	\N	error	Node 'Untitled (e3:26)' has gone away	read	2014-08-04 20:50:30.329937
88	\N	3	\N	discover	Node 'Untitled (e3:26)' is back online	read	2014-08-04 20:51:20.873997
89	\N	2	\N	error	Node 'Untitled (28:aa)' has gone away	read	2014-08-05 07:07:42.229193
90	\N	1	\N	error	Node 'Untitled (e1:2a)' has gone away	read	2014-08-05 07:08:12.285673
91	\N	2	\N	discover	Node 'Untitled (28:aa)' is back online	read	2014-08-05 07:09:07.63318
92	\N	1	\N	discover	Node 'Untitled (e1:2a)' is back online	read	2014-08-05 07:10:13.085775
93	\N	2	\N	error	Node 'Untitled (28:aa)' has gone away	read	2014-08-05 10:15:24.708242
94	\N	2	\N	discover	Node 'Untitled (28:aa)' is back online	read	2014-08-05 10:17:19.621853
\.


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 94, true);


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
3	10.0.0.0/16	103	256	1	FlatDHCPManager
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 12, true);


--
-- Data for Name: release_orchestrator_data; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY release_orchestrator_data (id, release_id, repo_metadata, puppet_manifests_source, puppet_modules_source) FROM stdin;
\.


--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('release_orchestrator_data_id_seq', 1, false);


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata, can_update_from_versions) FROM stdin;
1	Icehouse on CentOS 6.5	2014.1.1-5.1	This option will install the OpenStack Icehouse packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "zabbix": {"db_password": {"generator": "password"}, "db_root_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "vlan_splinters": {"vswitch": {"values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "type": "radio", "weight": 55, "value": "disabled", "label": "Open VSwitch VLAN Splinters feature"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "enabled": false, "weight": 50, "toggleable": true, "label": "VLAN Splinters"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "volumes_vmdk": {"restrictions": ["settings:storage.volumes_lvm.value == false or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "zabbix": {"username": {"weight": 10, "type": "text", "description": "Username for Zabbix Administrator", "value": "admin", "label": "username"}, "password": {"weight": 20, "type": "password", "description": "Password for Zabbix Administrator", "value": "zabbix", "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "toggleable": true, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "vcenter": {"use_vcenter": {"weight": 5, "type": "hidden", "description": "", "value": true, "label": ""}, "vc_user": {"weight": 30, "type": "text", "description": "vCenter admin username", "value": "", "label": "Username"}, "host_ip": {"weight": 10, "type": "text", "description": "IP Address of vCenter", "value": "", "label": "vCenter IP"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"weight": 30, "type": "password", "description": "vCenter admin password", "value": "", "label": "Password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"compute": {"name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "depends": [{"warning": "Ceilometer should be enabled", "condition": "settings:additional_components.ceilometer.value == true"}], "name": "Telemetry - MongoDB", "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "zabbix-server": {"conflicts": ["controller", "compute", "cinder", "ceph-osd", "mongo"], "depends": [{"action": "hide", "condition": "'experimental' in version:feature_groups"}], "name": "Zabbix Server", "description": "Zabbix monitoring system server."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "ceph-osd": {"name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}	[]
2	Icehouse on Ubuntu 12.04.4	2014.1.1-5.1	This option will install the OpenStack Icehouse packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "zabbix": {"db_password": {"generator": "password"}, "db_root_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "volumes_vmdk": {"restrictions": ["settings:storage.volumes_lvm.value == false or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "kernel_params": {"kernel": {"value": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "type": "text", "description": "Default kernel parameters", "weight": 45, "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": {"weight": 10, "type": "text", "description": "Username for Zabbix Administrator", "value": "admin", "label": "username"}, "password": {"weight": 20, "type": "password", "description": "Password for Zabbix Administrator", "value": "zabbix", "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "toggleable": true, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "metadata": {"enabled": true, "toggleable": false, "weight": 50, "label": "Mellanox Neutron components"}, "plugin": {"type": "radio", "values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "value": "disabled", "weight": 60, "label": "Mellanox drivers and SR-IOV plugin"}}, "vcenter": {"use_vcenter": {"weight": 5, "type": "hidden", "description": "", "value": true, "label": ""}, "vc_user": {"weight": 30, "type": "text", "description": "vCenter admin username", "value": "", "label": "Username"}, "host_ip": {"weight": 10, "type": "text", "description": "IP Address of vCenter", "value": "", "label": "vCenter IP"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"weight": 30, "type": "password", "description": "vCenter admin password", "value": "", "label": "Password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"compute": {"name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "depends": [{"warning": "Ceilometer should be enabled", "condition": "settings:additional_components.ceilometer.value == true"}], "name": "Telemetry - MongoDB", "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "zabbix-server": {"conflicts": ["controller", "compute", "cinder", "ceph-osd", "mongo"], "depends": [{"action": "hide", "condition": "'experimental' in version:feature_groups"}], "name": "Zabbix Server", "description": "Zabbix monitoring system server."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "ceph-osd": {"name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}	[]
\.


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 2, true);


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	1	mongo
6	1	zabbix-server
7	2	controller
8	2	compute
9	2	cinder
10	2	ceph-osd
11	2	mongo
12	2	zabbix-server
\.


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 12, true);


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
28	\N	7d831041-12b7-40ab-84d0-e91b8c2d0640	dump	\N	running	0	{"args": {"task_uuid": "7d831041-12b7-40ab-84d0-e91b8c2d0640", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/www/nailgun/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "docker images", "to_file": "docker_images.txt", "type": "command"}, {"command": "docker ps", "to_file": "docker_ps.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log", "type": "dir"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "10.20.0.2"}]}, "local": {"objects": [{"username": "nailgun", "dbhost": "10.20.0.2", "password": "oCwJEqD3", "type": "postgres", "dbname": "nailgun"}, {"to_file": "cobbler.txt", "type": "xmlrpc", "methods": ["get_distros", "get_profiles", "get_systems"], "server": "http://10.20.0.2:80/cobbler_api"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "localhost"}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "to_file": "blkid_o_list.txt", "type": "command"}, {"command": "ceph health", "to_file": "ceph_health.txt", "type": "command"}, {"command": "ceph -s", "to_file": "ceph_s.txt", "type": "command"}, {"command": "ceph osd tree", "to_file": "ceph_osd_tree.txt", "type": "command"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "node-4.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-2.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-1.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-3.domain.tld"}]}}}}, "respond_to": "dump_environment_resp", "method": "dump_environment", "api_version": "1.0"}	{}	\N	1
16	1	e7d7e405-4054-422c-b701-cb88766fe124	check_dhcp		ready	100	{"args": {"task_uuid": "e7d7e405-4054-422c-b701-cb88766fe124", "nodes": [{"uid": 1, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}, {"uid": 2, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}, {"uid": 3, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}, {"uid": 4, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}]}, "respond_to": "check_dhcp_resp", "method": "check_dhcp", "api_version": "1.0"}	{}	15	1
26	1	2600ead2-3710-44ad-895a-14a8a368402f	provision	\N	ready	100	{"args": {"task_uuid": "2600ead2-3710-44ad-895a-14a8a368402f", "provisioning_info": {"engine": {"url": "http://10.20.0.2:80/cobbler_api", "username": "cobbler", "password": "6ujHOetb", "master_ip": "10.20.0.2"}, "nodes": [{"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "1", "interfaces": {"eth3": {"static": "0", "mac_address": "00:02:c9:e5:fe:82"}, "eth2": {"static": "0", "mac_address": "00:02:c9:e5:fe:81"}, "eth1": {"static": "0", "mac_address": "00:25:90:88:e1:2b"}, "eth0": {"ip_address": "10.20.0.3", "dns_name": "node-1.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:88:e1:2a"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:88:e1:2a_eth0,00:25:90:88:e1:2b_eth1,00:02:c9:e5:fe:81_eth2,00:02:c9:e5:fe:82_eth3", "netcfg/choose_interface": "00:25:90:88:e1:2a"}, "power_address": "10.20.0.233", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": true, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "683doxBM", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset intel_iommu=on", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6acccffd5", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGXLHGE", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGXLHGE"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "partition", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 67656, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 885713, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 67592, "volumes": [{"mount": "/", "size": 51200, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16392, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 885649, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "ethernet", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-1", "hostname": "node-1.domain.tld", "slave_name": "node-1", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "2", "interfaces": {"eth3": {"static": "0", "mac_address": "00:02:c9:e5:fe:c2"}, "eth2": {"static": "0", "mac_address": "00:02:c9:e5:fe:c1"}, "eth1": {"static": "0", "mac_address": "00:25:90:89:28:ab"}, "eth0": {"ip_address": "10.20.0.4", "dns_name": "node-2.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:89:28:aa"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:89:28:aa_eth0,00:25:90:89:28:ab_eth1,00:02:c9:e5:fe:c1_eth2,00:02:c9:e5:fe:c2_eth3", "netcfg/choose_interface": "00:25:90:89:28:aa"}, "power_address": "10.20.0.136", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": true, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "683doxBM", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset intel_iommu=on", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6accd159d", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGXT9AE", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGXT9AE"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "partition", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 67656, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 885713, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 67592, "volumes": [{"mount": "/", "size": 51200, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16392, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 885649, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "ethernet", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-2", "hostname": "node-2.domain.tld", "slave_name": "node-2", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "3", "interfaces": {"eth3": {"static": "0", "mac_address": "00:02:c9:e5:fe:b2"}, "eth2": {"static": "0", "mac_address": "00:02:c9:e5:fe:b1"}, "eth1": {"static": "0", "mac_address": "00:25:90:88:e3:27"}, "eth0": {"ip_address": "10.20.0.5", "dns_name": "node-3.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:88:e3:26"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:88:e3:26_eth0,00:25:90:88:e3:27_eth1,00:02:c9:e5:fe:b1_eth2,00:02:c9:e5:fe:b2_eth3", "netcfg/choose_interface": "00:25:90:88:e3:26"}, "power_address": "10.20.0.238", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": true, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "683doxBM", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset intel_iommu=on", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6acccfc6f", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGXKLDE", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGXKLDE"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "partition", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 67656, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 885713, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 67592, "volumes": [{"mount": "/", "size": 51200, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16392, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 885649, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "ethernet", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-3", "hostname": "node-3.domain.tld", "slave_name": "node-3", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "4", "interfaces": {"eth3": {"static": "0", "mac_address": "00:02:c9:e6:00:52"}, "eth2": {"static": "0", "mac_address": "00:02:c9:e6:00:51"}, "eth1": {"static": "0", "mac_address": "00:25:90:88:e2:55"}, "eth0": {"ip_address": "10.20.0.6", "dns_name": "node-4.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:88:e2:54"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:88:e2:54_eth0,00:25:90:88:e2:55_eth1,00:02:c9:e6:00:51_eth2,00:02:c9:e6:00:52_eth3", "netcfg/choose_interface": "00:25:90:88:e2:54"}, "power_address": "10.20.0.216", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": true, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "683doxBM", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset intel_iommu=on", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x5000cca6accbe7d5", "disk/by-id/scsi-SATA_HGST_HTS721010A_JR10006PGV5X6E", "disk/by-id/ata-HGST_HTS721010A9E630_JR10006PGV5X6E"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "partition", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 67656, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 885713, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 67592, "volumes": [{"mount": "/", "size": 51200, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16392, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "ethernet", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-4", "hostname": "node-4.domain.tld", "slave_name": "node-4", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}, "respond_to": "provision_resp", "method": "provision", "api_version": "1.0"}	{}	23	0.400000000000000022
15	1	a184d952-75ff-4163-81ea-07e62747a62b	verify_networks		ready	100	{"args": {"task_uuid": "a184d952-75ff-4163-81ea-07e62747a62b", "nodes": [{"uid": 1, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}, {"uid": 2, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}, {"uid": 3, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}, {"uid": 4, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}]}, "respond_to": "verify_networks_resp", "subtasks": [{"args": {"task_uuid": "e7d7e405-4054-422c-b701-cb88766fe124", "nodes": [{"uid": 1, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}, {"uid": 2, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}, {"uid": 3, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}, {"uid": 4, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [2, 4, 5, 6, 7, 8, 9, 10], "iface": "eth2"}, {"vlans": [3], "iface": "eth3"}]}]}, "respond_to": "check_dhcp_resp", "method": "check_dhcp", "api_version": "1.0"}], "method": "verify_networks", "api_version": "1.0"}	[]	\N	1
27	1	a1dc099b-740c-4085-9a82-59c34333a2ae	deployment	Deployment of environment 'ubuntu-HA' is done. Access the OpenStack dashboard (Horizon) at http://10.209.37.240/	ready	100	{"args": {"task_uuid": "a1dc099b-740c-4085-9a82-59c34333a2ae", "deployment_info": [{"use_cow_images": true, "uid": "1", "management_vip": "192.168.2.2", "public_vip": "10.209.37.240", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "FrEzwZy6", "user_password": "X6gaPBUO", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "toggleable": true, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "nWSyYbIZ"}, "quantum": true, "glance": {"image_cache_max_size": "92867028582", "user_password": "ugjrNX0z", "db_password": "JiOZxHgU"}, "cinder": {"db_password": "a9SUkUj5", "user_password": "JigPl0L9"}, "quantum_settings": {"database": {"passwd": "2mRy57F8"}, "keystone": {"admin_password": "Pgmcp8zE"}, "L3": {"use_namespaces": true}, "L2": {"type_drivers": "vlan,flat", "mechanism_drivers": "mlnx,openvswitch", "base_mac": "fa:16:3e:00:00:00", "tenant_network_types": "vlan", "phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": "4:10"}, "physnet1": {"bridge": "br-ex", "vlan_range": null}}, "segmentation_type": "vlan"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.209.36.0/22", "floating": "10.209.37.245:10.209.37.249", "gateway": "10.209.36.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "vlan", "router_ext": false, "physnet": "physnet2", "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "BleqYwyx"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": true, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "F8rBQNVm", "user_password": "7wxxcBxq", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 500, "murano": {"db_password": "rtqZhBo8", "user_password": "7hJeCO8X", "enabled": false, "rabbit_password": "ozZTC0FB"}, "role": "primary-controller", "online": true, "keystone": {"db_password": "OWHV8xTT", "admin_token": "cxrNfeMi"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "ceilometer": {"db_password": "HM63KV7E", "user_password": "Kvvx4JYm", "metering_secret": "GUg5aSGZ", "enabled": false}, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth3", "br-storage"], "tags": [3, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [2, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}, {"action": "add-br", "name": "br-prv"}, {"action": "add-patch", "bridges": ["br-eth2", "br-prv"]}], "roles": {"management": "br-mgmt", "storage": "vlan3", "ex": "br-ex", "private": "br-prv", "fw-admin": "br-fw-admin"}, "interfaces": {"vlan3": {"L2": {"vlan_splinters": "off"}}, "eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-ex": {"IP": ["10.209.37.241/22"], "gateway": "10.209.36.1"}, "br-fw-admin": {"IP": ["10.20.0.3/24"]}, "vlan3": {"IP": ["192.168.3.2/24"], "vlandev": "eth_iser0"}, "br-mgmt": {"IP": ["192.168.2.3/24"]}, "br-prv": {"IP": "none"}}}, "heat": {"db_password": "yeSaKeq4", "user_password": "wvTWnkiu", "enabled": true, "rabbit_password": "6nEmuoLx"}, "storage_network_range": "192.168.3.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "5et11jkp"}, "use_cinder": true, "management_network_range": "192.168.2.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "10.209.37.241", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.3", "storage_address": "192.168.3.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "10.209.37.242", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.4", "storage_address": "192.168.3.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "10.209.37.243", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.5", "storage_address": "192.168.3.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "10.209.37.244", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "cinder", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.6", "storage_address": "192.168.3.5", "storage_netmask": "255.255.255.0", "name": "node-4"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "5iaqiOQE"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-2", "fqdn": "node-1.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset intel_iommu=on", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "vRKDKQj0", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "JytHsnI0"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"ml2_eswitch": {"vnic_type": "hostdev", "apply_profile_patch": true}, "plugin": "ethernet", "iser_interface_name": "eth_iser0", "storage_parent": "eth3", "vf_num": "16", "physical_port": "eth2", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "2", "management_vip": "192.168.2.2", "public_vip": "10.209.37.240", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "FrEzwZy6", "user_password": "X6gaPBUO", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "toggleable": true, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "nWSyYbIZ"}, "quantum": true, "glance": {"image_cache_max_size": "92867028582", "user_password": "ugjrNX0z", "db_password": "JiOZxHgU"}, "cinder": {"db_password": "a9SUkUj5", "user_password": "JigPl0L9"}, "quantum_settings": {"database": {"passwd": "2mRy57F8"}, "keystone": {"admin_password": "Pgmcp8zE"}, "L3": {"use_namespaces": true}, "L2": {"type_drivers": "vlan,flat", "mechanism_drivers": "mlnx,openvswitch", "base_mac": "fa:16:3e:00:00:00", "tenant_network_types": "vlan", "phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": "4:10"}, "physnet1": {"bridge": "br-ex", "vlan_range": null}}, "segmentation_type": "vlan"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.209.36.0/22", "floating": "10.209.37.245:10.209.37.249", "gateway": "10.209.36.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "vlan", "router_ext": false, "physnet": "physnet2", "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "BleqYwyx"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": true, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "F8rBQNVm", "user_password": "7wxxcBxq", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 600, "murano": {"db_password": "rtqZhBo8", "user_password": "7hJeCO8X", "enabled": false, "rabbit_password": "ozZTC0FB"}, "role": "controller", "online": true, "keystone": {"db_password": "OWHV8xTT", "admin_token": "cxrNfeMi"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "ceilometer": {"db_password": "HM63KV7E", "user_password": "Kvvx4JYm", "metering_secret": "GUg5aSGZ", "enabled": false}, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth3", "br-storage"], "tags": [3, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [2, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}, {"action": "add-br", "name": "br-prv"}, {"action": "add-patch", "bridges": ["br-eth2", "br-prv"]}], "roles": {"management": "br-mgmt", "storage": "vlan3", "ex": "br-ex", "private": "br-prv", "fw-admin": "br-fw-admin"}, "interfaces": {"vlan3": {"L2": {"vlan_splinters": "off"}}, "eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-ex": {"IP": ["10.209.37.242/22"], "gateway": "10.209.36.1"}, "br-fw-admin": {"IP": ["10.20.0.4/24"]}, "vlan3": {"IP": ["192.168.3.3/24"], "vlandev": "eth_iser0"}, "br-mgmt": {"IP": ["192.168.2.4/24"]}, "br-prv": {"IP": "none"}}}, "heat": {"db_password": "yeSaKeq4", "user_password": "wvTWnkiu", "enabled": true, "rabbit_password": "6nEmuoLx"}, "storage_network_range": "192.168.3.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "5et11jkp"}, "use_cinder": true, "management_network_range": "192.168.2.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "10.209.37.241", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.3", "storage_address": "192.168.3.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "10.209.37.242", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.4", "storage_address": "192.168.3.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "10.209.37.243", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.5", "storage_address": "192.168.3.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "10.209.37.244", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "cinder", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.6", "storage_address": "192.168.3.5", "storage_netmask": "255.255.255.0", "name": "node-4"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "5iaqiOQE"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-2", "fqdn": "node-2.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset intel_iommu=on", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "vRKDKQj0", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "JytHsnI0"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"ml2_eswitch": {"vnic_type": "hostdev", "apply_profile_patch": true}, "plugin": "ethernet", "iser_interface_name": "eth_iser0", "storage_parent": "eth3", "vf_num": "16", "physical_port": "eth2", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "3", "management_vip": "192.168.2.2", "public_vip": "10.209.37.240", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "FrEzwZy6", "user_password": "X6gaPBUO", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "toggleable": true, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "nWSyYbIZ"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "ugjrNX0z", "db_password": "JiOZxHgU"}, "cinder": {"db_password": "a9SUkUj5", "user_password": "JigPl0L9"}, "quantum_settings": {"database": {"passwd": "2mRy57F8"}, "keystone": {"admin_password": "Pgmcp8zE"}, "L3": {"use_namespaces": true}, "L2": {"type_drivers": "vlan,flat", "mechanism_drivers": "mlnx,openvswitch", "base_mac": "fa:16:3e:00:00:00", "tenant_network_types": "vlan", "phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": "4:10"}, "physnet1": {"bridge": "br-ex", "vlan_range": null}}, "segmentation_type": "vlan"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.209.36.0/22", "floating": "10.209.37.245:10.209.37.249", "gateway": "10.209.36.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "vlan", "router_ext": false, "physnet": "physnet2", "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "BleqYwyx"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": true, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "F8rBQNVm", "user_password": "7wxxcBxq", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "rtqZhBo8", "user_password": "7hJeCO8X", "enabled": false, "rabbit_password": "ozZTC0FB"}, "role": "compute", "online": true, "keystone": {"db_password": "OWHV8xTT", "admin_token": "cxrNfeMi"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "ceilometer": {"db_password": "HM63KV7E", "user_password": "Kvvx4JYm", "metering_secret": "GUg5aSGZ", "enabled": false}, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth3", "br-storage"], "tags": [3, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [2, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}, {"action": "add-br", "name": "br-prv"}, {"action": "add-patch", "bridges": ["br-eth2", "br-prv"]}], "roles": {"management": "br-mgmt", "storage": "vlan3", "ex": "br-ex", "private": "br-prv", "fw-admin": "br-fw-admin"}, "interfaces": {"vlan3": {"L2": {"vlan_splinters": "off"}}, "eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-ex": {"IP": ["10.209.37.243/22"], "gateway": "10.209.36.1"}, "br-fw-admin": {"IP": ["10.20.0.5/24"]}, "vlan3": {"IP": ["192.168.3.4/24"], "vlandev": "eth_iser0"}, "br-mgmt": {"IP": ["192.168.2.5/24"]}, "br-prv": {"IP": "none"}}}, "heat": {"db_password": "yeSaKeq4", "user_password": "wvTWnkiu", "enabled": true, "rabbit_password": "6nEmuoLx"}, "storage_network_range": "192.168.3.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "5et11jkp"}, "use_cinder": true, "management_network_range": "192.168.2.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "10.209.37.241", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.3", "storage_address": "192.168.3.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "10.209.37.242", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.4", "storage_address": "192.168.3.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "10.209.37.243", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.5", "storage_address": "192.168.3.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "10.209.37.244", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "cinder", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.6", "storage_address": "192.168.3.5", "storage_netmask": "255.255.255.0", "name": "node-4"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "5iaqiOQE"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-2", "fqdn": "node-3.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset intel_iommu=on", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "vRKDKQj0", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "JytHsnI0"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"ml2_eswitch": {"vnic_type": "hostdev", "apply_profile_patch": true}, "plugin": "ethernet", "iser_interface_name": "eth_iser0", "storage_parent": "eth3", "vf_num": "16", "physical_port": "eth2", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "4", "management_vip": "192.168.2.2", "public_vip": "10.209.37.240", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "FrEzwZy6", "user_password": "X6gaPBUO", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "toggleable": true, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "nWSyYbIZ"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "ugjrNX0z", "db_password": "JiOZxHgU"}, "cinder": {"db_password": "a9SUkUj5", "user_password": "JigPl0L9"}, "quantum_settings": {"database": {"passwd": "2mRy57F8"}, "keystone": {"admin_password": "Pgmcp8zE"}, "L3": {"use_namespaces": true}, "L2": {"type_drivers": "vlan,flat", "mechanism_drivers": "mlnx,openvswitch", "base_mac": "fa:16:3e:00:00:00", "tenant_network_types": "vlan", "phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": "4:10"}, "physnet1": {"bridge": "br-ex", "vlan_range": null}}, "segmentation_type": "vlan"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.209.36.0/22", "floating": "10.209.37.245:10.209.37.249", "gateway": "10.209.36.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "vlan", "router_ext": false, "physnet": "physnet2", "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "BleqYwyx"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": true, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "F8rBQNVm", "user_password": "7wxxcBxq", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "rtqZhBo8", "user_password": "7hJeCO8X", "enabled": false, "rabbit_password": "ozZTC0FB"}, "role": "cinder", "online": true, "keystone": {"db_password": "OWHV8xTT", "admin_token": "cxrNfeMi"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "ceilometer": {"db_password": "HM63KV7E", "user_password": "Kvvx4JYm", "metering_secret": "GUg5aSGZ", "enabled": false}, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth3", "br-storage"], "tags": [3, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [2, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}, {"action": "add-br", "name": "br-prv"}, {"action": "add-patch", "bridges": ["br-eth2", "br-prv"]}], "roles": {"management": "br-mgmt", "storage": "vlan3", "ex": "br-ex", "private": "br-prv", "fw-admin": "br-fw-admin"}, "interfaces": {"vlan3": {"L2": {"vlan_splinters": "off"}}, "eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-ex": {"IP": ["10.209.37.244/22"], "gateway": "10.209.36.1"}, "br-fw-admin": {"IP": ["10.20.0.6/24"]}, "vlan3": {"IP": ["192.168.3.5/24"], "vlandev": "eth_iser0"}, "br-mgmt": {"IP": ["192.168.2.6/24"]}, "br-prv": {"IP": "none"}}}, "heat": {"db_password": "yeSaKeq4", "user_password": "wvTWnkiu", "enabled": true, "rabbit_password": "6nEmuoLx"}, "storage_network_range": "192.168.3.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "5et11jkp"}, "use_cinder": true, "management_network_range": "192.168.2.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "10.209.37.241", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.3", "storage_address": "192.168.3.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "10.209.37.242", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.4", "storage_address": "192.168.3.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "10.209.37.243", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.5", "storage_address": "192.168.3.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "10.209.37.244", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "cinder", "public_netmask": "255.255.252.0", "internal_address": "192.168.2.6", "storage_address": "192.168.3.5", "storage_netmask": "255.255.255.0", "name": "node-4"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "5iaqiOQE"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-2", "fqdn": "node-4.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset intel_iommu=on", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "vRKDKQj0", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "JytHsnI0"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"ml2_eswitch": {"vnic_type": "hostdev", "apply_profile_patch": true}, "plugin": "ethernet", "iser_interface_name": "eth_iser0", "storage_parent": "eth3", "vf_num": "16", "physical_port": "eth2", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}]}, "respond_to": "deploy_resp", "method": "deploy", "api_version": "1.0"}	{}	23	1
23	1	c28102be-d65d-41a2-99c4-c0c7da198973	deploy	Deployment of environment 'ubuntu-HA' is done. Access the OpenStack dashboard (Horizon) at http://10.209.37.240/	ready	100	{}	{}	\N	1
\.


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 28, true);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: release_orchestrator_data_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_pkey PRIMARY KEY (id);


--
-- Name: releases_name_version_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_version_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_name_release_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_name_release_id_key UNIQUE (name, release_id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: fk_pending_release_id; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT fk_pending_release_id FOREIGN KEY (pending_release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id);


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: release_orchestrator_data_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

